## org.apache.batik.dom
Class AbstractElement.Entry

    java.lang.Object
      org.apache.batik.dom.AbstractElement.Entry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbstractElement

protected static class AbstractElement.Entry
extends java.lang.Object
implements java.io.Serializable

To manage collisions in the attributes map.

See Also:
  Serialized Form

Field Summary
`int` `hash` The hash code
`java.lang.String` `name` The node name.
`java.lang.String` `namespaceURI` The namespace URI
`AbstractElement.Entry` `next` The next entry
`org.w3c.dom.Node` `value` The value

Constructor Summary
`AbstractElement.Entry(int hash, java.lang.String ns, java.lang.String nm, org.w3c.dom.Node value, AbstractElement.Entry next)` Creates a new entry

Method Summary
`boolean` `match(java.lang.String ns, java.lang.String nm)` Whether this entry match the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### namespaceURI

    public java.lang.String namespaceURI

  The namespace URI

### name

    public java.lang.String name

  The node name.

### value

    public org.w3c.dom.Node value

  The value

### next

    public AbstractElement.Entry next

  The next entry

Constructor Detail

### AbstractElement.Entry

    public AbstractElement.Entry(int hash,
                                 java.lang.String ns,
                                 java.lang.String nm,
                                 org.w3c.dom.Node value,
                                 AbstractElement.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(java.lang.String ns,
                         java.lang.String nm)

  Whether this entry match the given keys.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.